<?php
// MixMaster Interface configuration file.
// ****Create this directory****
// Make it readable by web user and writeable by cron
$datadir = "/var/lib/mixmaster/stats";

// email for administrative matters.
$admin = "admin@novo-ordo.com";

// Path to MixMaster Interface
// Path from web root
$script = "./mmif.php";

// Send log
// Path to file that tracks send times (only)
$log = "/var/lib/mixmaster/mmif.log";

// max length of chain
// This is the number of remailer drop lists that will be shown on the web interface
$chlen = 5;

// Path to the mixmaster executable including command line switches for
// piping message in from command line.  Adjust as needed, these switches are
// for 3.0.
// Path from system root, binary must be executable by web user.
// Mix directory must be writeable by cron user.
// mix spool directory must be writeable by web user.
$mix = "/usr/bin/mixmaster -m -l";

// Location of data files. Generated by running "mixmaster-update" in cron.
// File must be readable by web user and writeable by cron user.
// Path from system root.
// You normally won't need to change these.
$data = "$datadir/data";
$rems = "$datadir/rems";

// Path to help files (from web root).
// Must be readable by web user.
$hfiles = "./";

// Path to files storing IP's blocked from using interface.
// This file is simple text of IPs in a column format.
// They can include partial IP's followed by a trailing dot, which will ban
// entire ranges. For example, adding 192.168.5. as an entry will ban all IP's
// from 192.168.5.0 to 192.168.5.255.  It may contain a full IP to block a
// single machine.
// This file gets bot IP's automatically added.  Edit carefully.
// Edit bot IP as per above to widen scope.
// File must be read/write by web user.
// Path from system root.
// You normally won't need to change this, but you may want to edit the file
// for range blocks when needed.
$defblk = "$datadir/mmbanned.txt";

// Number of times each IP is allowed to post before temporary disabling.
// This does not include get requests.
$enum = 5;

// Add to static after this many attempts while being temp blocked.
// (this is where you catch bots.  They continue posting during the
// temp ban. This is how many times they try to post during the
// temp ban before they are perm banned.)
$sblk = 5;

// Minutes that $enum is allowed to happen.
// By setting allowed number of posts at five and length of time at 15 minutes,
// we are allowing five posts in 15 minute timeframe.  This helps to avoid
// flooding.  Increase or decrease either number per your needs.
$lblk = 15;

// IP autoblocking file
// ****Create this directory****
// Directory must be readable and writeable by web user.
// Path from system root to directory to contain per IP files
// You normally won't need to change this.
$varblkpath = "/var/lib/mixmaster/autoblock";

// Remailers that support from lines. This is likely out of date, verify
// current remailers.
$rsf = "borked, frell, hastio, metacolo, panta";

// Number of copies to send.
$copies = 1;

/////////////////
// Formatting //
////////////////

// Body backgroung coloer
$bgcolor = "white";

// Font color
$fntcolor = "black";

// Set page head (ie. <head>$head</head>)
$head = "Novo-Ordo NoName Anonymous Email";

// Page name
$pagename = "Novo-Ordo NoName Anonymous Email Web Interface";

// Set header for all pages (after </head> to beginning of table)
$header = "
<body bgcolor='$bgcolor'>
<center>
<font size='5' color='$fntcolor'><b>$pagename</b></font><br>
<a href='$hfiles/mmifhelp.html'>Help</a> for this interface.
<br><br>
</center>\n";

// Set footer for all pages (end of table to </html>)
$footer = "
<br/><br/>
<center>
Return to <a href='./index.php'>Novo-Ordo Home Page</a>
<br/>
Copyright &copy; 2017 Epiphyte, LLC.
</center>
</body>
</html>";

?>
